Subject: bug#1056 closed by Glenn Morris <[email-masked]> (Re: bug#1056: Filesets menu location)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#1056: Filesets menu location

It has been closed by Glenn Morris <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Glenn Morris <[email-masked]> by
replying to this email.

-- 
1056: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1056
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Wed Oct  1 00:00:46 2008
From: Glenn Morris <[email-masked]>
To: [email-masked]
Subject: Re: bug#1056: Filesets menu location
Date: Wed, 01 Oct 2008 02:58:28 -0400

2008-10-01  Glenn Morris  <[email-masked]>

            * filesets.el (filesets-menu-name): Fix type.
            (filesets-menu-path, filesets-menu-before): Fix types.
            Change defaults to be consistent with recentf.  (Bug#1056)

>From [email-masked] Tue Sep 30 04:13:20 2008
From: David Reitter <[email-masked]>
To: [email-masked]
Reply-To: Dominic Dunlop <[email-masked]>,
        David Reitter <[email-masked]>
Subject: Filesets menu location
Date: Tue, 30 Sep 2008 07:13:00 -0400

Begin forwarded message:

> From: Dominic Dunlop <[email-masked]>
> Date: 30 September 2008 03:37:08 EDT
> To: [email-masked]
> Subject: [Aquamacs-bugs] Filesets menu location
>
> Although the Filesets menu is nice to have (although I found it a bit
> of a bear to set up), I find its position between the application and
> file menus to be continually jarring. Apple's Human Interface Design
> Guidelines (<http://developer.apple.com/documentation/UserExperience/Conceptual/AppleHIGuidelines/XHIGMenus/chapter_17_section_4.html#/ 
> /apple_ref/doc/uid/TP30000356-TPXREF103
>> ) require that the first four menus, left to right, shall be Apple,
> Application, File, Edit -- unless one or both of File and Edit is not
> relevant, and so omitted. I cannot think of an application that
> violates this order. Except Aquamacs, with the consequence that my
> muscle memory moves the pointer to the wrong place when I want the
> File or Edit menu.
>
> So, may I request that an option is provided to make Filesets a
> submenu of the File menu?
>
> Thanks!
>
> In GNU Emacs 22.3.2 (powerpc-apple-darwin9.5.0, Carbon Version 1.6.0)
>  of 2008-09-22 on lucy - Aquamacs Distribution 1.5
> Windowing system distributor `Apple Inc.', version 10.5.5
> configured using `configure  '--without-x' '--prefix=/usr/local''
>
> Important settings:
>   value of $LC_ALL: nil
>   value of $LC_COLLATE: nil
>   value of $LC_CTYPE: en_GB.UTF-8
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: nil
>   locale-coding-system: utf-8
>   default-enable-multibyte-characters: t
>
> Major mode: nXML
>
> Minor modes in effect:
>   savehist-mode: t
>   smart-frame-positioning-mode: t
>   global-visual-line-mode: t
>   visual-line-mode: t
>   shell-dirtrack-mode: t
>   recentf-mode: t
>   encoded-kbd-mode: t
>   osx-key-mode: t
>   show-paren-mode: t
>   delete-selection-mode: t
>   pc-selection-mode: t
>   cua-mode: t
>   tooltip-mode: t
>   mouse-wheel-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   unify-8859-on-encoding-mode: t
>   utf-translate-cjk-mode: t
>   auto-compression-mode: t
>   column-number-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>
> Recent input:
> <menu-bar> <file> <Open Recent> <chaos-sample.acbea>
> <help-echo> <mouse-1> <mouse-1> <mouse-1> <mouse-1>
> <mouse-1> <mouse-1> <mouse-1> <mouse-1> <mouse-1> <down-mouse-1>
> <mouse-movement> <mouse-1> C-t C-x C-s <down-mouse-1>
> <mouse-1> <down-mouse-1> <mouse-movement> <mouse-movement>
> <drag-mouse-1> <help-echo> A-v C-x C-s C-x 5 f C-g
> <menu-bar> <help-menu> <bug-diagnosis> <send-emacs
> -bug-report>
>
> Recent messages:
> Loading rng-cmpct...done
> Loading rng-xsd...done
> Using vacuous schema
> Loading vc-svn...done
> Loading vc...done
> Wrote /ssh:[email-masked]#8022:/home/clusterusers/ddunlop/
> Thesis/hpc-ga-bench/libacbea-0.1.0/config/chaos-sample.acbea
> Mark set
> Wrote /ssh:[email-masked]#8022:/home/clusterusers/ddunlop/
> Thesis/hpc-ga-bench/libacbea-0.1.0/config/chaos-sample.acbea
> Quit
> Loading emacsbug...done
>
> Command line: (/Applications/Aquamacs Emacs.app/Contents/MacOS/
> Aquamacs Emacs)
>
> PATH: /sw/bin:/sw/sbin:/bin:/sbin:/usr/bin:/usr/local/bin:/usr/sbin:/
> usr/X11R6/bin:/Users/domo/bin:/opt/local/bin:/opt/local/sbin:/sw/bin:/
> usr/local/bin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/X11R6/bin:/Developer/
> Tools
>
> exec-path: (/sw/bin /sw/sbin /bin /sbin /usr/bin /usr/local/bin /usr/
> sbin /usr/X11R6/bin /Users/domo/bin /opt/local/bin /opt/local/sbin / 
> sw/
> bin /usr/local/bin /bin /sbin /usr/bin /usr/sbin /usr/X11R6/bin /
> Developer/Tools /Applications/Aquamacs Emacs.app/Contents/MacOS/
> libexec /Applications/Aquamacs Emacs.app/Contents/MacOS/bin)
>